<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xisc.pm.infra.mapper.PmSteelCastFlowItfMapper">


    <sql id = "BaseSql">
    PSCFI.ITF_ID,
    PSCFI.MAIN_BACKLOG_CODE,
    PSCFI.PONO,
    PSCFI.STRAND_NO,
    PSCFI.HEAT_SLAB_NUM,
    PSCFI.SLAB_THICK,
    PSCFI.SLAB_WIDTH,
    PSCFI.ADJUST_WIDTH_NUM,
    PSCFI.UNAPP_SLAB_LEN,
    PSCFI.UNAPP_SLAB_LEN_MAX,
    PSCFI.UNAPP_SLAB_LEN_MIN,
    PSCFI.ITF_BATCH_ID,
    PSCFI.ITF_STATUS,
    PSCFI.ITF_MESSAGE,
    PSCFI.ITF_RETRY_TIMES,
    PSCFI.TENANT_ID,
    PSCFI.ATTRIBUTE1,
    PSCFI.ATTRIBUTE2,
    PSCFI.ATTRIBUTE3,
    PSCFI.ATTRIBUTE4,
    PSCFI.ATTRIBUTE5,
    PSCFI.creation_date,    PSCFI.created_by,    PSCFI.last_updated_by,    PSCFI.last_update_date,    PSCFI.object_version_number
    </sql>

    <select id = "selectList" resultType = "com.xisc.pm.domain.entity.PmSteelCastFlowItf">
        select
        <include refid = "BaseSql"/>
        from PM_STEEL_CAST_FLOW_ITF PSCFI
        <where>
            <if test="itfId !=null">
                and PSCFI.ITF_ID = #{itfId,jdbcType = INTEGER}
            </if>
        </where>
    </select>
</mapper>

